> For the complete documentation index, see [llms.txt](https://docs.inabit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/edit-wallet-name.md).

# Edit Wallet Name

## Edit a Wallet's Name

Edit a specific wallet's name in your organization according to a specific wallet ID.\
Please note that a wallet name can take up to 32 characters maximum.

```graphql
mutation UpdateWallet($where: WalletWhereUniqueInput!, $data: WalletUpdateInput!) {
  updateWallet(where: $where, data: $data) {
    id
    name
  }
}
```

### **Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

### **Body (**<mark style="color:orange;">WalletWhereUniqueInput</mark> object) + (<mark style="color:orange;">WalletUpdateInput</mark> object)

| Name                                         | Type   | Description       |
| -------------------------------------------- | ------ | ----------------- |
| walletId<mark style="color:red;">\*</mark>   | String | Wallet ID         |
| walletName<mark style="color:red;">\*</mark> | String | Wallet's New name |

Example body:

```json
{
  "where": {
    "id": "clllyfdk6006ybtqkwk840uei"
  },
  "data": {
    "name": "New Wallet Name"
  }
}
```

### Response

Return values:

| Name | Type   | Description         |
| ---- | ------ | ------------------- |
| id   | String | Wallet ID           |
| name | String | Updated Wallet Name |

{% tabs %}
{% tab title="🟢 Success" %}

```json
{
  "data": {
    "updateWallet": {
      "id": "clllyfdk6006ybtqkwk840uei",
      "name": "New Wallet Name"
    }
  }
}
```

{% endtab %}

{% tab title="🔴 Failure" %}

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Using this endpoint users can edit any wallet's name within their organization wallets.
{% endhint %}

**How do I retrieve my wallet ID?**

In order to retrieve an organization's wallet ID, you'll need to call your organization wallets query first, to fetch the wallet's ID. The query below accepts a <mark style="color:orange;">**WalletWhereInput**</mark> of an `organizationId`, and retrieves the wallet's ID and name in the response.

```graphql
query Wallets($where: WalletWhereInput) {
  wallets(where: $where) {
    id
    name
  }
}
```

### Try it out!

{% embed url="<https://studio.apollographql.com/sandbox/explorer?endpoint=https://api.inabit.dev/graphql&explorerURLState=N4IgJg9gxgrgtgUwHYBcQC4RxighigSwiQAIBVABzHwQHVcAbBhFACgBIB3ACwQCcE6EvSYtavAWSQEAjjAQBJJBRwBCADQl21PEJHMUlHYuVqAlCWAAdPldIkYVGvpase-QVvcDNO3EO18XAtrW3sSEgIwGzsIiKRcRBj7AF9klJB1EAA3XD4CXAAjZgBnDBBQ2JIrEG8EGqFK8OqQKIaWqCYGAE8AMzAAawA2AAYRoe7ClBkBzgGADgAWEfkCGuSIlPUNlr92priWhKSMFoA5BE5hRgMSM8T6kB20sIys3lwwfjLMdZBMkAUCAlFC9BgEADm3BQAHkKPx8EQkABlKD5ChoTAgFJAA>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/edit-wallet-name.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
